%global pypi_name XStatic-term.js
%global pkgname XStatic-termjs

Name:           python-%{pkgname}
Version:        0.0.7.0
Release:        10%{?dist}.1
Summary:        term.js (XStatic packaging standard)

License:        MIT
URL:            https://github.com/chjj/term.js
Source0:        https://files.pythonhosted.org/packages/source/X/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

%package -n python3-%{pkgname}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3-XStatic
Requires:       xstatic-termjs-common

%{?python_provide:%python_provide python3-%{pkgname}}

%description -n python3-%{pkgname}
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

This package provides Python 3 build of %{pkgname}.

%package -n xstatic-termjs-common
Summary:        %{summary}

BuildRequires:  web-assets-devel
Requires:       web-assets-filesystem

%description -n xstatic-termjs-common
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

This package contains the javascript files.

%prep
%autosetup -n %{pypi_name}-%{version}
# patch to use webassets dir
sed -i "s|^BASE_DIR = .*|BASE_DIR = '%{_jsdir}/termjs'|" xstatic/pkg/termjs/__init__.py

%build
%py3_build

%install
%py3_install
mkdir -p %{buildroot}%{_jsdir}/termjs
mv %{buildroot}%{python3_sitelib}/xstatic/pkg/termjs/data/term.js %{buildroot}%{_jsdir}/termjs
rmdir %{buildroot}%{python3_sitelib}/xstatic/pkg/termjs/data/
# fix execute flags for js
chmod 644 %{buildroot}%{_jsdir}/termjs/term.js

%files -n python3-%{pkgname}
%doc README.rst
%{python3_sitelib}/xstatic/pkg/termjs
%{python3_sitelib}/XStatic_term.js-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/XStatic_term.js-%{version}-py%{python3_version}-nspkg.pth

%files -n xstatic-termjs-common
%doc README.rst
%{_jsdir}/termjs

%changelog
* Tue Dec 22 2020 CPaaS User <cpaas-ops@redhat.com> - 0.0.7.0-10.1
- Bump release

* Mon Oct 19 2020 Vath Sok <vsok@redhat.com> - 0.0.7.0-10
- Bump release number

* Mon Oct 19 2020 Vath Sok <vsok@redhat.com> - 0.0.7.0-9
- Bump release number

* Wed Oct 14 2020 Vath Sok <vsok@redhat.com> - 0.0.7.0-8
- rebuilt

* Tue Oct 13 2020 Vath Sok <vsok@redhat.com> - 0.0.7.0-7
- rebuilt

* Tue Oct 13 2020 Vath Sok <vsok@redhat.com> - 0.0.7.0-6
- rebuilt

* Thu Oct 11 2018 Miro Hrončok <mhroncok@redhat.com> - 0.0.7.0-5
- Python2 binary package has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.0.7.0-3
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.7.0-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.0.4.2-6
- Rebuild for Python 3.6

* Mon Oct 10 2016 Jan Beran <jberan@redhat.com> - 0.0.4.2-5
- Provides a Python 3 subpackage

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4.2-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Feb 19 2015 Matthias Runge <mrunge@redhat.com> - 0.0.4.2-1
- Initial package (rhbz#1194225).
